PTSNAME(3)

NAME
ptsname - get the name of the slave pseudotty

SYNOPSIS
#define _XOPEN_SOURCE
#include <stdlib.h>

char *ptsname(int fd);

DESCRIPTION
The ptsname() function returns the name of the slave pseudo-terminal device (pty) corresponding to the master pty referred to by fd.

RETURN VALUE
When successful, ptsname() returns a pointer to a string in static storage. This pointer must not be freed.

Upon failure, ptsname() returns a NULL pointer.

CONFORMING TO
POSIX 1003.1-2001. This is part of the Unix98 pty support, see pts(4).

SEE ALSO
grantpt(3), ttyname(3), pts(4)